import '@operato/data-grist';
import { PageView } from '@operato/shell';
import { FetchOption } from '@operato/data-grist';
import { NotificationRuleImporter } from './notification-rule-importer';
declare const NotificationRuleListPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView & import("@open-wc/dedupe-mixin").Constructor<import("@open-wc/scoped-elements/types/src/types").ScopedElementsHost>;
export declare class NotificationRuleListPage extends NotificationRuleListPage_base {
    static styles: import("lit").CSSResult[];
    static get scopedElements(): {
        'notification-rule-importer': typeof NotificationRuleImporter;
    };
    gristConfig: any;
    mode: 'CARD' | 'GRID' | 'LIST';
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        help: string;
        actions: {
            icon: string;
            emphasis: {
                raised: boolean;
                outlined: boolean;
                dense: boolean;
                danger: boolean;
            };
            title: string;
            action: () => Promise<void>;
        }[];
        exportable: {
            name: string;
            data: () => Promise<{}[]>;
        };
        importable: {
            handler: (records: any) => Promise<void>;
        };
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(lifecycle: any): Promise<void>;
    pageUpdated(changes: any, lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: FetchOption): Promise<{
        total: any;
        records: any;
    }>;
    _deleteNotificationRule(): Promise<void>;
    _updateNotificationRule(): Promise<void>;
    exportHandler(): Promise<{}[]>;
    importHandler(records: any): Promise<void>;
}
export {};
